org.keycloak.models.entities

## Class AuthenticationExecutionEntity

- java.lang.Object
- - org.keycloak.models.entities.AbstractIdentifiableEntity
  - - org.keycloak.models.entities.AuthenticationExecutionEntity

-     public class AuthenticationExecutionEntity
      extends AbstractIdentifiableEntity

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `authenticator`
    `protected String` | `authenticatorConfig`
    `protected boolean` | `authenticatorFlow`
    `protected String` | `flowId`
    `protected String` | `parentFlow`
    `protected int` | `priority`
    `protected AuthenticationExecutionModel.Requirement` | `requirement`
    `protected boolean` | `userSetupAllowed`

    - ### Fields inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthenticationExecutionEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAuthenticator()`
    `String` | `getAuthenticatorConfig()`
    `String` | `getFlowId()`
    `String` | `getParentFlow()`
    `int` | `getPriority()`
    `AuthenticationExecutionModel.Requirement` | `getRequirement()`
    `boolean` | `isAuthenticatorFlow()`
    `boolean` | `isUserSetupAllowed()`
    `void` | `setAuthenticator(String authenticator)`
    `void` | `setAuthenticatorConfig(String authenticatorConfig)`
    `void` | `setAuthenticatorFlow(boolean authenticatorFlow)`
    `void` | `setFlowId(String flowId)`
    `void` | `setParentFlow(String parentFlow)`
    `void` | `setPriority(int priority)`
    `void` | `setRequirement(AuthenticationExecutionModel.Requirement requirement)`
    `void` | `setUserSetupAllowed(boolean userSetupAllowed)`

    - ### Methods inherited from class org.keycloak.models.entities.AbstractIdentifiableEntity

      `equals, getId, hashCode, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### authenticator

          protected String authenticator

    - #### authenticatorConfig

          protected String authenticatorConfig

    - #### flowId

          protected String flowId

    - #### requirement

          protected AuthenticationExecutionModel.Requirement requirement

    - #### priority

          protected int priority

    - #### userSetupAllowed

          protected boolean userSetupAllowed

    - #### authenticatorFlow

          protected boolean authenticatorFlow

    - #### parentFlow

          protected String parentFlow

  - ### Constructor Detail

    - #### AuthenticationExecutionEntity

          public AuthenticationExecutionEntity()

  - ### Method Detail

    - #### getAuthenticator

          public String getAuthenticator()

    - #### setAuthenticator

          public void setAuthenticator(String authenticator)

    - #### getRequirement

          public AuthenticationExecutionModel.Requirement getRequirement()

    - #### setRequirement

          public void setRequirement(AuthenticationExecutionModel.Requirement requirement)

    - #### getPriority

          public int getPriority()

    - #### setPriority

          public void setPriority(int priority)

    - #### isUserSetupAllowed

          public boolean isUserSetupAllowed()

    - #### setUserSetupAllowed

          public void setUserSetupAllowed(boolean userSetupAllowed)

    - #### isAuthenticatorFlow

          public boolean isAuthenticatorFlow()

    - #### setAuthenticatorFlow

          public void setAuthenticatorFlow(boolean authenticatorFlow)

    - #### getParentFlow

          public String getParentFlow()

    - #### setParentFlow

          public void setParentFlow(String parentFlow)

    - #### getFlowId

          public String getFlowId()

    - #### setFlowId

          public void setFlowId(String flowId)

    - #### getAuthenticatorConfig

          public String getAuthenticatorConfig()

    - #### setAuthenticatorConfig

          public void setAuthenticatorConfig(String authenticatorConfig)

Copyright © 2016 JBoss by Red Hat. All rights reserved.